Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.misc.fsl.FslGLMDesign

class `mvpa2.misc.fsl.``FslGLMDesign`(source)

  Load FSL GLM design matrices from file.

  Be aware that such a desig matrix has its regressors in columns and the samples in its rows.

  Methods

  `plot`([style]) | Visualize the design matrix.

  Parameters:

  source : filename

  > Compressed files will be read as well, if their filename ends with ‘.gz’.

  Methods

  `plot`([style]) | Visualize the design matrix.

  `plot`(style='lines', **kwargs)

    Visualize the design matrix.

    Parameters:

    style: ‘lines’, ‘matrix’ :

    **kwargs: :

    > Additional arguments will be passed to the corresponding matplotlib plotting functions ‘plot()’ and ‘pcolor()’ for ‘lines’ and ‘matrix’ plots respectively.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »